[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#350579: libc6: MALLOC_PERTURB_ -support is not enabled (= environment variable)

Package: libc6
Version: 2.3.5-6
Severity: normal

The MALLOC_PERTURB_ environment variable is normally checked by the
libc-variable. When it is set, malloced memory is pre-initialized with
the contents of MALLOC_PERTURB_ (so it must be a byte-value). This is
very usefull for testing software to see if that software properly
initializes memory before using it.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

-- no debconf information

Reply to: